-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class anItemKind

Declaration :

- C++ : enum anItemKind
- Java : public final class anItemKind

the king of any item, returned by UmlBaseItem::Kind()

Artifact : anItemKind

Items :

- aRelation
- anAttribute
- anOperation
- anExtraClassMember
- aClass
- anUseCase
- aComponent
- aNode
- anArtifact
- aNcRelation
- aClassDiagram
- anUseCaseDiagram
- aSequenceDiagram
- aCollaborationDiagram
- aComponentDiagram
- aDeploymentDiagram
- aClassView
- anUseCaseView
- aComponentView
- aDeploymentView
- aPackage
- aState
- aTransition
- aRegion
- aStateDiagram
- aStateAction
- anInitialPseudoState
- anEntryPointPseudoState
- aFinalState
- aTerminatePseudoState
- anExitPointPseudoState
- aDeepHistoryPseudoState
- aShallowHistoryPseudoState
- aJunctionPseudoState
- aChoicePseudoState
- aForkPseudoState
- aJoinPseudoState